import React from 'react';
import {
    Router,
    Route,
    IndexRoute,
    hashHistory
} from 'react-router';

import Index from './components/Index';
import Classify from './components/classify';
import My from './components/my';
import Study from './components/study';

class routes extends React.Component {
    render() {
        return (
            <Router history={hashHistory}>
                <Route path='/' component={Index}>
                    <IndexRoute component={Classify} />
                    <Route path='/Study' component={Study}></Route>
                    <Route path='/My' component={My}></Route>
                </Route>
            </Router>

        )
    }
}

export default routes;