import React from 'react';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';

import Menu from './menu';
import Index from './components/Index';
import Classify from './components/classify';
import Study from './components/study';
import My from './components/my';




const router = () => (
    <Router>
        <Switch>
            <Route exact path="/" component={Index}></Route>
            <Route path="/index" component={Index}></Route>
            <Route path='/classify' component={Classify}></Route>
            <Route path='/study' component={Study}></Route>
            <Route path='/my' component={My}></Route>
        </Switch>
        <Menu />
    </Router>
)


export default router;